import React from 'react';
import PropTypes from 'prop-types';
import { getLangPrefix } from '../lib/helpers';

export class NSSearchBar extends React.Component {
    static defaultProps = {
        placeholder : '',
    };

    searchProducts = (e, Router) => {
        e.preventDefault();
        (['filters', 'page']).forEach(k => window.localStorage.removeItem(k));
        if(Router === undefined) {
            throw new Error('[SearchBar] ERROR >> no Router passed ...')
        }
        const url = `${getLangPrefix(this.context.getPageState().nsLanguages, this.props.i18n.language)}/search/${encodeURIComponent(this.search.current.value.replace(/\./, ''))}`
        Router.pushRoute(url);
    }

    static contextTypes = { getPageState: PropTypes.func }

    render() {
        return (<div>A surcharger</div>);
    }
}
