import React, { Component } from 'react';
import PropTypes from 'prop-types';
import moment from 'moment';
import BigCalendar from 'react-big-calendar';

BigCalendar.momentLocalizer(moment);


/**
 * NSAgenda - Charge les informations du calendrier et les affiche dans un calendrier
 * @return {React.Component}
 */
export class NSAgenda extends React.Component {
    constructor(props) {
        super(props);
        this.cssHook = '';
        this.jsxHook = undefined;
    }

    static contextTypes = { getPageState: PropTypes.func };
    eventStyleGetter(event, start, end, isSelected) {
        const style = {
            backgroundColor : event.itemColor,
            borderRadius    : '0px',
            color           : event.fontColor,
        };
        return {
            style,
        };
    }
}
