
let API_url_server = '';
let API_url_client = '';

export default function (req) {
    if (process.browser) {
        if (API_url_client === '') {
            API_url_client = `${window.location.origin}/api/`;
        }
        return API_url_client;
    } else if (API_url_server !== '') {
        return API_url_server;
    } else if (API_url_server === '' && req && req.req !== undefined) {
        API_url_server = `${req.req.protocol}://localhost:${req.req.port}/api/`;
        return API_url_server;
    }
    return null;
}
