// Il faut laisser cet import car lors de l'appel a statusColor, React.createElement sera appelé afin de créer les <span>
import React from 'react';

export default (status, t) => {
    switch (status) {
    case 'CANCELED':
    case 'ASK_CANCEL':
        return <span style={{ color: 'red' }}>{t(`common:status.${status}`)}</span>;
    case 'PENDING':
    case 'PAYMENT_CONFIRMATION_PENDING':
    case 'PAYMENT_RECEIPT_PENDING':
    case 'PAYMENT_PENDING':
    case 'PROCESSED':
    case 'PROCESSING':
        return <span style={{ color: 'red' }}>{t(`common:status.${status}`)}</span>;
    case 'FINISHED':
    case 'BILLED':
    case 'PAID':
    case 'DELIVERY_PROGRESS':
    case 'DELIVERY_PARTIAL_PROGRESS':
    case 'RETURNED':
        return <span style={{ color: 'green' }}>{t(`common:status.${status}`)}</span>;
    case 'liv':
        return t('status.liv');
    case 'dif':
        return t('status.dif');
    case 'epu':
        return t('status.epu');
    default:
        return t('status.no-status');
    }
};
